local monocle = require("#monocle")

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin(room)
  disableMovement()
  makeUnskippable()
  disableRetry()
  disablePause()
  player.ForceCameraUpdate = true
  walkTo(15804, false, 1, false)
  disableMovement()
  wait(1)
  disableMovement()
  wait(1)
  disableMovement()
  wait(1)
  disableMovement()
  wait(1)
  disableMovement()
  wait(1)
  disableMovement()
  say("Donk_Ch1_Middle2")
  wait(0.5)
  enableMovement()
  enableRetry()
  enablePause()
end

function onEnd(room, wasSkipped)
  enableMovement()
  enableRetry()
  enablePause()
  player.DummyAutoAnimate = true
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  enableMovement()
end